Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
DL_BasePrecomputation_LUC Class Reference

_ More...

`#include <luc.h>`

Inheritance diagram for DL_BasePrecomputation_LUC:

List of all members.

## Public Types

typedef Integer | Element

## Public Member Functions

bool | IsInitialized () const
void | SetBase (const DL_GroupPrecomputation< Element > &group, const Integer &base)
const Integer & | GetBase (const DL_GroupPrecomputation< Element > &group) const
void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)
void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)
void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const
Integer | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const
Integer | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Integer > &pc2, const Integer &exponent2) const

## Detailed Description

_

Definition at line 131 of file luc.h.

The documentation for this class was generated from the following file:

- luc.h